﻿;||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||;			
;|																															|;	
;| Title:				UB2D - 001_Screen																|;
;| Copyright: 	UnionBytes																			|;
;|																															|;
;| Date:				07.11.2018																			|;
;|																															|;
;||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||;


;- Engine
; First we have to include the UB2D.pbi to get all constants and functions.
XIncludeFile "Includes\UB2D.pbi" 
; Initialization of the engine.
If Not InitUnionBytes2DEngine()
	Debug "UB2D initialization failed!"
	End
EndIf


; Open of a UB2D screen in window mode.
UB2D_OpenScreen(1280, 720, 32, "Union Bytes 2D Engine - Screen", #PB_Window_ScreenCentered|#PB_Window_SystemMenu, #False)


;- Fonts
; Loading a Typeface Font with the ID 0. (The Editor comes also With the engine.)
UB2D_LoadFont(0, "Data\Fonts\Arial_20.tf") 


;- Main Loop
Repeat
	
	; Normal pure basic window event handling.
	Repeat
		Select UB2D_WindowEvent()
			Case #PB_Event_CloseWindow
				Break 2
			Case #PB_Event_None
				Break
		EndSelect 
	ForEver
	
	; SetUp of the render target. In this case the final frame buffer.
	UB2D_BindFrameBuffer(#UB2D_FRAMEBUFFER_FINAL, #True, #True)
		
	; Draw a Text on the screen.
	UB2D_DisplayText(0, 20, 20, "Hello World!", $FFFFFFFF)
	UB2D_DisplayText(0, 20, 50, "Union Bytes 2D Engine - 100 % made with PureBasic!", $FF93E4F8)
	
	; Flip the buffers and draw it on the window \ screen.
	UB2D_FlipBuffers()

ForEver

; Free the engine and all its resources.
UB2D_Free()
End

; IDE Options = PureBasic 5.62 (Windows - x64)
; EnableXP
; CompileSourceDirectory
; EnableCompileCount = 738
; EnableBuildCount = 0