﻿;||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||;			
;|																															|;	
;| Title:				UB2D - 002_Debugger															|;
;| Copyright: 	UnionBytes																			|;
;|																															|;
;| Date:				07.11.2018																			|;
;|																															|;
;||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||;


;- Engine
XIncludeFile "Includes\UB2D.pbi" 
; Initialization of the engine.
; Use here the constant #UB2D_ENGINE_WITHDEBUGGER To enable the debugging mode (it uses the UB2D_d.dll).
If Not InitUnionBytes2DEngine(#UB2D_ENGINE_DEBUG)
	Debug "UB2D initialization failed!"
	End
EndIf

UB2D_OpenScreen(1280, 720, 32, "Union Bytes 2D Engine - Debugger", #PB_Window_ScreenCentered|#PB_Window_SystemMenu, #False)


;- Debugger
; Opens the debugger window manually (optional). Normally the window will automatically open during a debug output, warning or error.
;UB2D_ViewDebugger()

; ; Simple output in the debugger window
; UB2D_Debug("Hello World!")

; Errors will reported (only) in the debugger mode. For example, if you try to free an invalid object (in this case a font).
UB2D_FreeFont(2)

UB2D_DebugSystemInformation()


;- Main Loop
Repeat
	
	; Normal pure basic window event handling.
	Repeat
		Select UB2D_WindowEvent()
			Case #PB_Event_CloseWindow
				Break 2
			Case #PB_Event_None
				Break
		EndSelect 
	ForEver
	
	; SetUp of the render target. In this case the final frame buffer.
	UB2D_BindFrameBuffer(#UB2D_FRAMEBUFFER_FINAL, #True, #True)
	
	; Flip the buffers and draw it on the window \ screen.
	UB2D_FlipBuffers()
	
ForEver

; Free the engine and all its resources.
UB2D_Free()
End

; IDE Options = PureBasic 5.62 (Windows - x64)
; CursorPosition = 9
; EnableXP
; CompileSourceDirectory
; EnableCompileCount = 771
; EnableBuildCount = 0